Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent
Class DocInfo

    java.lang.Object
      multivalent.DocInfo

public class DocInfo
extends java.lang.Object

Record of various data about a Document, for parameters for loading and for reports of general information for various behaviors.

Version:
  $Revision: 1.4 $ $Date: 2002/10/29 16:30:57 $

Field Summary
`java.util.Map<java.lang.String,java.lang.Object>` | `attrs` in-out: URL in (which could be search words), signature stripped off, ....
`Document` | `doc` maybe change to String that you search for.
`java.lang.String` | `genre` Genre mapping, such as "PDF" or "ManualPage".
`java.util.Map<java.lang.String,java.lang.String>` | `headers` HTTP headers (mocked up for file).
`java.lang.String` | `method` HTTP method: GET, POST, HEAD, ....
`int` | `returncode` -1==haven't connected yet.
`java.net.URI` | `uri` Actual URI found, after possible 300/301/302 redirect, generalization to match compressed version, redirection to cached copy, or whatever.
`java.lang.Object` | `uriin` Requested URI.
`java.lang.Object` | `window` set to Browser or String name of Browser window.

Constructor Summary
`DocInfo(java.net.URI uri)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uriin

    public java.lang.Object uriin

  Requested URI. Can be URL, search words, "about:multivalent", whatever.

### uri

    public java.net.URI uri

  Actual URI found, after possible 300/301/302 redirect, generalization to match compressed version, redirection to cached copy, or whatever.

### headers

    public final java.util.Map<java.lang.String,java.lang.String> headers

  HTTP headers (mocked up for file). in-out => change to List<> as can have duplicate keys, as with set-cookie. Normalize key.

### attrs

    public final java.util.Map<java.lang.String,java.lang.Object> attrs

  in-out: URL in (which could be search words), signature stripped off, ....

### genre

    public java.lang.String genre

  Genre mapping, such as "PDF" or "ManualPage".

### returncode

    public int returncode

  -1==haven't connected yet.

### doc

    public Document doc

  maybe change to String that you search for.

### window

    public java.lang.Object window

  set to Browser or String name of Browser window.

### method

    public java.lang.String method

  HTTP method: GET, POST, HEAD, .... Stuff accompanying (escaped) data for POST in attrs.

Constructor Detail

### DocInfo

    public DocInfo(java.net.URI uri)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD